@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface MicroProfileMetricsEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
MicroProfileMetricsEndpointBuilderFactory.AdvancedMicroProfileMetricsEndpointBuilder
Advanced builder for endpoint for the MicroProfile Metrics component.
|
static interface |
MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsBuilders |
static interface |
MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder
Builder for endpoint for the MicroProfile Metrics component.
|
| Modifier and Type | Method and Description |
|---|---|
static MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder |
microprofileMetrics(String path)
MicroProfile Metrics (camel-microprofile-metrics)
Camel metrics exposed with Eclipse MicroProfile Metrics
Category: monitoring
Since: 3.0
Maven coordinates: org.apache.camel:camel-microprofile-metrics
Syntax:
microprofile-metrics:metricType:metricName
Path parameter: metricType (required)
Metric type
The value can be one of: concurrent gauge, counter, gauge, meter,
histogram, timer, invalid
Path parameter: metricName (required)
Metric name |
static MicroProfileMetricsEndpointBuilderFactory.MicroProfileMetricsEndpointBuilder microprofileMetrics(String path)
microprofile-metrics:metricType:metricName
Path parameter: metricType (required)
Metric type
The value can be one of: concurrent gauge, counter, gauge, meter,
histogram, timer, invalid
Path parameter: metricName (required)
Metric nameApache Camel